Bug 849980 - [abrt] gnome-mud-0.11.2-9.fc17: g_type_check_instance_cast: Process /usr/bin/gnome-mud was killed by signal 11 (SIGSEGV)
[abrt] gnome-mud-0.11.2-9.fc17: g_type_check_instance_cast: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mud (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sean Middleditch
Fedora Extras Quality Assurance
abrt_hash:b96d96b446a33f6f10bd34d00e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 08:08 EDT by Jirka Daněk
Modified: 2013-08-01 06:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.06 KB, text/plain)
2012-08-21 08:08 EDT, Jirka Daněk
no flags Details
File: maps (33.48 KB, text/plain)
2012-08-21 08:08 EDT, Jirka Daněk
no flags Details
File: dso_list (6.80 KB, text/plain)
2012-08-21 08:08 EDT, Jirka Daněk
no flags Details

  None (edit)
Description Jirka Daněk 2012-08-21 08:08:38 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-mud
comment:        I tried to change the command separating character in preferences while playing. I deleted the semicolon, waited a bit, was about to write a pipe character and it crashed. I am not sure if i started actually typing it
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-mud
kernel:         3.5.0-2.fc17.x86_64
pid:            2173
pwd:            /home/jirka/Documents
remote_result:  611102
time:           Tue 21 Aug 2012 01:57:19 PM CEST
uid:            1000
username:       jirka

backtrace:      Text file, 22592 bytes
dso_list:       Text file, 6960 bytes
maps:           Text file, 34284 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jirka/1

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x30e70 g_type_check_instance_cast libgobject-2.0.so.0 -
:18783942ede7b229c1db6613d492c334f3378c16 0xf456 - [exe] -
:18783942ede7b229c1db6613d492c334f3378c16 0xf528 - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:18783942ede7b229c1db6613d492c334f3378c16 0x1a863 - [exe] -
:ad0818a36ea58b45bb6646a229105a54f86e25a0 0x10865 gconf_listeners_notify libgconf-2.so.4 -
:ad0818a36ea58b45bb6646a229105a54f86e25a0 0x1d810 - libgconf-2.so.4 -
:ad0818a36ea58b45bb6646a229105a54f86e25a0 0x1d8d1 - libgconf-2.so.4 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:18783942ede7b229c1db6613d492c334f3378c16 0xd1cc main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=897
:HOSTNAME=localhost.localdomain
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic,auto
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/jirka/.gtkrc-2.0:/home/jirka/.gtkrc-2.0-kde4:/home/jirka/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=jirka
:SSH_AUTH_SOCK=/tmp/ssh-CHugIgYMC825/agent.825
:MAIL=/var/spool/mail/jirka
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/go/bin:/usr/local/sbin:/usr/sbin:/home/jirka/.local/bin:/home/jirka/bin
:PWD=/home/jirka
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/jirka
:KDE_SESSION_VERSION=4
:LOGNAME=jirka
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZD2yfn5XUO,guid=4063ebd5dbc34270bc96bf7800000016
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jirka
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/jirka/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/kde-jirka/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/979,unix/unix:/tmp/.ICE-unix/979
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/jirka/.gtkrc:/home/jirka/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=localhost.localdomain;1345451954;251559;1094_TIME2653944

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30934                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30934                30934                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[18717]
:pos:	0
:flags:	00
:1:/home/jirka/.xsession-errors
:pos:	410675
:flags:	0100001
:2:/home/jirka/.xsession-errors
:pos:	410675
:flags:	0100001
:3:socket:[66498]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[66499]
:pos:	0
:flags:	02004002
:6:socket:[349673]
:pos:	0
:flags:	02

var_log_messages:
:Aug 21 13:57:19 localhost kernel: [69545.775699] gnome-mud[2173]: segfault at ffffffffffffffff ip 000000343c630e70 sp 00007fff6b2d05c0 error 4 in libgobject-2.0.so.0.3200.4[343c600000+4b000]
:Aug 21 13:57:20 localhost abrt[8914]: Saved core dump of pid 2173 (/usr/bin/gnome-mud) to /var/spool/abrt/ccpp-2012-08-21-13:57:19-2173 (30429184 bytes)
Comment 1 Jirka Daněk 2012-08-21 08:08:41 EDT
Created attachment 605918 [details]
File: backtrace
Comment 2 Jirka Daněk 2012-08-21 08:08:44 EDT
Created attachment 605919 [details]
File: maps
Comment 3 Jirka Daněk 2012-08-21 08:08:48 EDT
Created attachment 605920 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:21:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:50:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.